FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » General » PHP discussions » PHP-Upgrade to V4.2.x
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
PHP-Upgrade to V4.2.x [message #3386] Thu, 20 June 2002 11:41 Go to next message
smike is currently offline  smike   Germany
Messages: 182
Registered: April 2002
Location: Munich/Germany
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
The next days I want to upgrade our PHP-Installation (apache-module). Are there any specials I should configure in order to run FUD with 4.2.x?

It's the first time, I am installing PHP, so I didn't want to do to many things wrong.
Fortunately there is a detailed documentation at the php-site.

Re: PHP-Upgrade to V4.2.x [message #3387 is a reply to message #3386] Thu, 20 June 2002 11:48 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
FUDforum does not require/need any special modules, the only thing you may want, is to enable pspell support in php --with-pspell (you'll need pspell & aspell installed). That way, in your forum you'll have an option to enable the spell checker.

FUDforum Core Developer
Re: PHP-Upgrade to V4.2.x [message #3388 is a reply to message #3387] Thu, 20 June 2002 12:21 Go to previous messageGo to next message
smike is currently offline  smike   Germany
Messages: 182
Registered: April 2002
Location: Munich/Germany
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
This is one feature I want to install absolutely, and which isn't installed at the moment.
I think you can't imagine how important a spell-checker can be if you wouldn't be a native english speaker.

Just try to write some german sentences! Laughing
Re: PHP-Upgrade to V4.2.x [message #3389 is a reply to message #3388] Thu, 20 June 2002 12:24 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Actually the spell checker supports the german language, so if your forum was in german you could spell check it just as well as the english forum.

FUDforum Core Developer
Re: PHP-Upgrade to V4.2.x [message #3397 is a reply to message #3388] Fri, 21 June 2002 04:12 Go to previous messageGo to next message
Olliver   Germany
Messages: 443
Registered: March 2002
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Thus spake sMike on Thu, 20 June 2002 18:21

This is one feature I want to install absolutely, and which isn't installed at the moment.
I think you can't imagine how important a spell-checker can be if you wouldn't be a native english speaker.

Just try to write some german sentences! Laughing

I compiled PHP with pspell support, but as I already pointed out in another post some time ago, the German spell checker isn't as worked out as the English one. It lacks of many expressions Sad. There are no problems with upgrading but there's one thing u should keep in mind: register globals is now turned off by default, so it's a good idea to rework ur php.ini if u depend on them turned on (some scripts insist on that).
Good luck
Ken
Re: PHP-Upgrade to V4.2.x [message #3403 is a reply to message #3397] Fri, 21 June 2002 10:00 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
The settings in php.ini would ONLY change if you are doing a clean installed. Otherwise PHP leaves you php.ini intact.

FUDforum Core Developer
Re: PHP-Upgrade to V4.2.x [message #3408 is a reply to message #3397] Fri, 21 June 2002 12:02 Go to previous messageGo to next message
smike is currently offline  smike   Germany
Messages: 182
Registered: April 2002
Location: Munich/Germany
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Ken Kizaki schrieb am Fre, 21 Juni 2002 10:12

register globals is now turned off by default

I'm wondering, what this setting means?

Why is it important for FUD?
Re: PHP-Upgrade to V4.2.x [message #3409 is a reply to message #3408] Fri, 21 June 2002 12:05 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
As far as FUD is concerned this setting won't affect you, if you have it turned ot FUD may be a little faster, since it won't need to internally emulate the register globals functionality.

What this option does is allowing access of data passed via GET/POST/Cookies directly. For example blah.php?cool=stuff with register_globals set to on, will result in a varaible $cool that will contain the string 'stuff' in it.


FUDforum Core Developer
Re: PHP-Upgrade to V4.2.x [message #3419 is a reply to message #3403] Fri, 21 June 2002 16:20 Go to previous messageGo to next message
Olliver   Germany
Messages: 443
Registered: March 2002
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
thus spake prottoss on Fri, 21 June 2002 16:00

The settings in php.ini would ONLY change if you are doing a clean installed. Otherwise PHP leaves you php.ini intact.

In general almost any *nix program would leave an existing config file untouched, that's why I didn't find it worth mentioning it. When smike says he wants to upgrade the version then I presume that he's got some basic *NIX knowledge to know this, too.
Ken
Re: PHP-Upgrade to V4.2.x [message #3490 is a reply to message #3386] Tue, 25 June 2002 11:11 Go to previous message
smike is currently offline  smike   Germany
Messages: 182
Registered: April 2002
Location: Munich/Germany
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Today I upgraded to PHP 4.2.1. Everything works fine!
Thanks, Mike

[Updated on: Tue, 25 June 2002 11:12]

Report message to a moderator

Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: PHP 4.2.0 came out
Next Topic: the ? operator
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Mon Dec 11 17:57:53 EST 2017

Total time taken to generate the page: 0.00783 seconds